function Create(self)
	local curdist = 75;
    for actor in MovableMan.Actors do
	local avgx = actor.Pos.X - self.Pos.X;
	local avgy = actor.Pos.Y - self.Pos.Y;
	local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
	if dist < curdist then
	    curdist = dist;
	    self.parent = actor
	self.Team = self.parent.Team	
	end
    end
end



function Update(self)
	for actor in MovableMan.Actors do	
        local diff = actor.Pos - self.Pos
        local ang = diff.AbsRadAngle
		if (diff.Magnitude < 75) and (diff.Magnitude > 70) and actor.Team == self.Team then
			actor.Vel = Vector((self.Pos.X - actor.Pos.X) / 10, (self.Pos.Y - actor.Pos.Y) / 10)
		end
	end
	for particle in MovableMan.Particles do	
	    local diff = particle.Pos - self.Pos
		if (diff.Magnitude < 110) and (diff.Magnitude > 65) then
			particle.Vel = Vector((self.Pos.X - particle.Pos.X) / 3, (self.Pos.Y - particle.Pos.Y) / 3)
		end
	end
	for device in MovableMan.Items do	
        local diff = device.Pos - self.Pos
		if (diff.Magnitude < 80) and (diff.Magnitude > 65) then
			device.Vel = Vector((self.Pos.X - device.Pos.X) / 3, (self.Pos.Y - device.Pos.Y) / 3)
		end
	end
end

--function Destroy(self)
--	for actor in MovableMan.Actors do	
--		local diff = actor.Pos - self.Pos
--		local ang = diff.AbsRadAngle
	--	local diffx = self.Pos.X - actor.Pos.X;
	--	local diffy = self.Pos.Y - actor.Pos.Y;
--		if (diffx < 20) and (diffy < 5) and actor.Team ~= self.Team then
	--		self:EraseFromTerrain();
--			self:GibThis();
--		end
--	end
--end


